=== bundlers/CMakeLists.txt ===
IF(WIN32)
ADD_SUBDIRECTORY(win)
ENDIF(WIN32)
