=== library/CMakeLists.txt ===
ADD_CORE_FILES(CMakeLists.txt)

ADD_SUBDIRECTORY(tulip-core)
ADD_SUBDIRECTORY(tulip-ogdf)
IF(NOT BUILD_CORE_ONLY)
ADD_SUBDIRECTORY(tulip-ogl)
ADD_SUBDIRECTORY(tulip-gui)
IF(BUILD_PYTHON_COMPONENTS)
ADD_SUBDIRECTORY(tulip-python)
ENDIF(BUILD_PYTHON_COMPONENTS)
ENDIF(NOT BUILD_CORE_ONLY)
