=== bundlers/win/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Tulip.nsi.in ${CMAKE_CURRENT_BINARY_DIR}/Tulip.nsi @ONLY)
