=== debian/changelog ===
tulip (4.8.0dfsg-2build2) xenial; urgency=medium

  * No-change rebuild for binutils 2.26.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 16:44:24 +0000

tulip (4.8.0dfsg-2build1) xenial; urgency=medium

  * No-change rebuild for updated binutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Jan 2016 11:00:50 +0100

tulip (4.8.0dfsg-2) unstable; urgency=medium

  * Don't record a build date, which would anyway AFAICT never be
    reported, fixing build-reproducibility issue.

 -- Yann Dirson <dirson@debian.org>  Mon, 28 Dec 2015 23:19:01 +0100

tulip (4.8.0dfsg-1) unstable; urgency=medium

  * New upstream release:
    * Fixes amd64 FTBTS (Closes: #803311).
    * New thirdparty lib libtess2, adding to debian/copyright.
    * Make sure everything python is under dist-packages, and installed
      in main package, leaving only the libtulip-python shlib in its
      own package.
  * Replace more occurrences of __linux and __linux__ with __unix__.
  * Cleanup of debian/README.maint.
  * Fixed location of CPL license text (not to be installed in a directory
    of same name as uncompressed file).
  * Switch repacked upstream tarball to xz compression.

 -- Yann Dirson <dirson@debian.org>  Tue, 01 Dec 2015 23:48:46 +0100

tulip (4.7.0dfsg-2) unstable; urgency=medium

  * Rebuild with g++-5, no library transition needed as 4.7 has not
    entered testing yet.

 -- Yann Dirson <dirson@debian.org>  Mon, 07 Sep 2015 22:38:54 +0200
