=== debian/control ===
Source: tulip
Section: graphics
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), cmake, qtbase5-dev, libqt5opengl5-dev, libqt5webkit5-dev, libqt5xmlpatterns5-dev, freeglut3-dev, docbook-to-man, libgl1-mesa-dev | libgl-dev, dh-buildinfo, libfreetype6-dev, libxml2-dev, libgle3-dev, libxml2-utils, graphviz, libjpeg-dev, libpng-dev, libftgl-dev, libglew-dev, binutils-dev [linux-i386 kfreebsd-i386 any-amd64], python-sip-dev, libutfcpp-dev
Homepage: http://tulip-software.org/
Standards-Version: 3.9.6
Vcs-git: git://anonscm.debian.org/collab-maint/tulip.git
Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tulip.git

Package: tulip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dejavu-core, fonts-font-awesome
Description: System dedicated to the visualization of huge data sets as graphs
 Tulip is an information visualization framework dedicated to the
 analysis and visualization of relational data.  It aims to provide
 the developer with a complete library, supporting the design of
 interactive information visualization applications for relational
 data that can be tailored to the problems he or she is addressing.
 .
 It includes the following features:
 .
  * 3D visualizations
  * 3D modifications
  * Plug-in support for easy evolution
  * Building of clusters and navigation into them
  * Automatic drawing of graphs
  * Automatic clustering of graphs
  * Automatic selection of elements
  * Automatic metric coloration of graphs

Package: tulip-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tulip (= ${binary:Version})
Description: Tulip graph library - debug symbols
 Debug symbols for tulip, a system dedicated to the visualization of
 huge graphs, and its various libraries.

Package: libtulip-dev
Section: libdevel
Architecture: any
Depends: tulip (= ${binary:Version}), libc6-dev, ${misc:Depends}
Conflicts: libtulip-dev
Replaces: tulip (<= 2), libtulip-ogl-dev, libtulip-qt4-dev
Suggests: cmake
Enhances: qtcreator
Description: Tulip graph library - core development files
 Headers and static libraries for tulip, a system dedicated to the
 visualization of huge graphs.  Also include QtCreator templates.

Package: libtulip-core-4.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tulip graph library - core runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This is the core of the system, excluding the OpenGL rendering capabilities.

Package: libtulip-ogl-4.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tulip graph library - OpenGL runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the OpenGL rendering capabilities of the engine.

Package: libtulip-gui-4.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tulip graph library - Qt/OpenGL GUI runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the Qt/OpenGL GUI support.

Package: libtulip-python-4.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libtulip-python
Conflicts: libtulip-python
Description: Tulip graph library - Python support
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the Python scripting support.

Package: libtulip-ogdf-4.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tulip graph library - OGDF runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the Open Graph Drawing Framework support.

Package: libogdf-tulip-4.8-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open Graph Drawing Framework shared library, built for Tulip
 This is the Open Graph Drawing Framework library, built as a shared
 lib as required by Tulip.

Package: libgzstream-tulip-4.8-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gzstream shared library, built for Tulip
 C++ iostream classes wrapping the zlib compression library, built as
 a shared lib as required by Tulip.

Package: libquazip-tulip-4.8-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: quazip shared library, built for Tulip
 Runtime for the quazip C++ wrapper for ZIP/UNZIP, built as a
 shared lib as required by Tulip.

Package: libqxt-tulip-4.8-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: qxt shared library, built for Tulip
 Runtime for a subset of Qxt, extensions to Qt core classes, built as
 a shared lib as required by Tulip.

Package: libyajl-tulip-4.8-2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: yajl shared library, built for Tulip
 Runtime for yajl, Yet Another JSON Library, built as a shared lib as
 required by Tulip.

Package: libtess2-tulip-4.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: yajl shared library, built for Tulip
 Runtime for yajl, Yet Another JSON Library, built as a shared lib as
 required by Tulip.
