=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH:BOOL=YES -DUBUNTU_PPA_BUILD=ON -DBUILD_DOC=OFF -DUSE_QT5_IF_INSTALLED=YES

override_dh_auto_build-arch:
	dh_auto_build --parallel
	docbook-to-man debian/tulip.sgml > debian/tulip.1

override_dh_auto_install-arch:
	dh_auto_install
	install -D -m644 debian/tulip.1 debian/tmp/usr/share/man/man1/tulip.1
	install -D -m644 debian/tulip.desktop debian/tmp/usr/share/applications/tulip.desktop
	install -D -m644 debian/TulipIcon.png debian/tmp/usr/share/pixmaps/TulipIcon.png
 # fixup install location for python files
	mkdir -p debian/tmp/usr/lib/python2.7
	test ! -r debian/tmp/usr/lib/python2.7/dist-packages
	mv debian/tmp/usr/lib/python debian/tmp/usr/lib/python2.7/dist-packages
 # apply README instructions: install qtcreator templates in the correct place
	mkdir -p debian/tmp/usr/share/qtcreator/templates
	mv debian/tmp/usr/share/tulip/wizards/* debian/tmp/usr/share/qtcreator/templates/
	rmdir debian/tmp/usr/share/tulip/wizards
	rm debian/tmp/usr/share/qtcreator/templates/README.txt

override_dh_install:
	dh_install --fail-missing

override_dh_installdocs:
	dh_installdocs
	dh_buildinfo

override_dh_strip:
	dh_strip --dbg-package tulip-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/tulip.1
	rm -rf docs/doxygen/xml
